package com.sunxung.factoring.entity.cashflowmanage;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.Dictionary;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description : 银行卡信息设置表
 * @Author : JiaYf
 * @Date: 2021-10-30 14:02
 */
@TableName("bank_card_info")
public class BankCardInfo extends BaseEntity {

    /**
     * 公司归属字典项
     */
    @TableField(exist = false)
    private Dictionary companyBelongDict;

    /**
     * 公司归属
     **/
    private Long companyBelong;

    /**
     * 银行名称
     **/
    private String bankName;

    /**
     * 银行卡号
     **/
    private String bankAccount;

    /**
     * 生效日期
     **/
    private Date effectiveDate;

    /**
     * 期初数值
     **/
    private BigDecimal beginValue;

    /**
     * 币种
     **/
    private Long currency;

    /**
     * 币种字典项
     **/
    @TableField(exist = false)
    private Dictionary currencyDict;

    /**
     * 状态:1,启用;0,禁用
     **/
    private Integer status;

    /**
     * 备注
     **/
    private String remark;

    public Long getCompanyBelong() {
        return companyBelong;
    }

    public void setCompanyBelong(Long companyBelong) {
        this.companyBelong = companyBelong;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }

    public Date getEffectiveDate() {
        return effectiveDate;
    }

    public void setEffectiveDate(Date effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    public BigDecimal getBeginValue() {
        return beginValue;
    }

    public void setBeginValue(BigDecimal beginValue) {
        this.beginValue = beginValue;
    }

    public Long getCurrency() {
        return currency;
    }

    public void setCurrency(Long currency) {
        this.currency = currency;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Dictionary getCompanyBelongDict() {
        return companyBelongDict;
    }

    public void setCompanyBelongDict(Dictionary companyBelongDict) {
        this.companyBelongDict = companyBelongDict;
    }

    public Dictionary getCurrencyDict() {
        return currencyDict;
    }

    public void setCurrencyDict(Dictionary currencyDict) {
        this.currencyDict = currencyDict;
    }
}
